# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           mediascrapper
Version:        0.1
Release:        6%{?dist}
Summary:        A script to scrap media files from different sites

Group:          Development/Languages
License:        GPLv2
URL:            http://kushal.fedorapeople.org/mediascrapper
Source0:        http://kushal.fedorapeople.org/mediascrapper/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
Requires:       python-BeautifulSoup

%description
A script to scrap media files from different sites.

%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/mediascrapper
%{python_sitelib}/*

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1-4
- Rebuild for Python 2.6

* Wed Aug 06 2008 Kushal Das <kushal@fedoraproject.org> 0.1-3
- fixed build requires

* Wed Aug 06 2008 Kushal Das <kushal@fedoraproject.org> 0.1-2
- Fixed license and deleted extra lines from spec

* Thu Jul 31 2008 Kushal Das <kushal@fedoraproject.org> 0.1-1
- Initial release

